> ## Documentation Index
> Fetch the complete documentation index at: https://docs.growthmarketing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bing SERP

> Retrieves search engine results from Bing.com



## OpenAPI

````yaml post /bing-serp
openapi: 3.0.0
info:
  title: Growth Marketing API
  description: API for company information, logos, MOZ metrics, and SERP data
  version: 1.0.0
  contact:
    name: Growth Marketing AI
    url: https://growthmarketing.ai
servers:
  - url: https://api.growthmarketing.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /bing-serp:
    post:
      summary: Bing SERP
      description: Retrieves search engine results from Bing.com
      operationId: getBingSerp
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - keyword
              properties:
                keyword:
                  type: string
                  description: Search term
                  example: cloudflare workers
                language_code:
                  type: string
                  description: Language code
                  default: en
                  example: en
                location_code:
                  type: integer
                  description: Location code (2840 for US)
                  default: 2840
                  example: 2840
                device:
                  type: string
                  description: Device type
                  default: desktop
                  enum:
                    - desktop
                    - mobile
                  example: desktop
                depth:
                  type: integer
                  description: Number of results to return
                  default: 100
                  maximum: 700
                  example: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          api:
                            type: string
                            example: serp
                          function:
                            type: string
                            example: live
                          se:
                            type: string
                            example: bing
                          se_type:
                            type: string
                            example: organic
                          keyword:
                            type: string
                            example: marketing
                          language_code:
                            type: string
                            example: en
                          location_code:
                            type: integer
                            example: 2840
                          device:
                            type: string
                            example: desktop
                          os:
                            type: string
                            example: windows
                          depth:
                            type: integer
                            example: 3
                      result:
                        type: array
                        items:
                          $ref: '#/components/schemas/BingSerpResult'
                        example:
                          - type: organic
                            rank_group: 1
                            rank_absolute: 1
                            domain: en.wikipedia.org
                            title: Marketing - Wikipedia
                            url: https://en.wikipedia.org/wiki/Marketing
                            breadcrumb: https://en.wikipedia.org › wiki › Marketing
                          - type: organic
                            rank_group: 2
                            rank_absolute: 2
                            domain: www.investopedia.com
                            title: 'Marketing in Business: Strategies and Types …'
                            url: https://www.investopedia.com/terms/m/marketing.asp
                            breadcrumb: https://www.investopedia.com › terms › m…
                          - type: paid
                            rank_group: 1
                            rank_absolute: 3
                            domain: www.chainstoreguide.com
                            title: Off-the-Chain Marketing | Direct Marketing Leads
                            description: >-
                              Sponsored Leading provider of accurate & Verified
                              leads for retail & restaurant Businesses. Industry
                              leading provider of accurate & Verified leads.
                              Start selling now!
                            url: >-
                              https://www.chainstoreguide.com/offthechain/csg-retail-restaurant-sales-leads/
                            breadcrumb: >-
                              https://www.chainstoreguide.com › Sales_Leads ›
                              Free_Trial
components:
  schemas:
    BingSerpResult:
      type: object
      properties:
        type:
          type: string
          example: organic
        rank_group:
          type: integer
          example: 1
        rank_absolute:
          type: integer
          example: 1
        domain:
          type: string
          example: example.com
        title:
          type: string
          example: Example Title
        description:
          type: string
          example: Example description...
        url:
          type: string
          example: https://example.com/page
        breadcrumb:
          type: string
          example: example.com › category › page
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````